OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TextureMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureMultisample :: MonadIO m => m Bool
- gl_ARB_texture_multisample :: Bool
- gl_INT_SAMPLER_2D_MULTISAMPLE :: GLenum
- gl_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_MAX_COLOR_TEXTURE_SAMPLES :: GLenum
- gl_MAX_DEPTH_TEXTURE_SAMPLES :: GLenum
- gl_MAX_INTEGER_SAMPLES :: GLenum
- gl_MAX_SAMPLE_MASK_WORDS :: GLenum
- gl_PROXY_TEXTURE_2D_MULTISAMPLE :: GLenum
- gl_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_SAMPLER_2D_MULTISAMPLE :: GLenum
- gl_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_SAMPLE_MASK :: GLenum
- gl_SAMPLE_MASK_VALUE :: GLenum
- gl_SAMPLE_POSITION :: GLenum
- gl_TEXTURE_2D_MULTISAMPLE :: GLenum
- gl_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum
- gl_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_TEXTURE_FIXED_SAMPLE_LOCATIONS :: GLenum
- gl_TEXTURE_SAMPLES :: GLenum
- gl_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE :: GLenum
- gl_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- glGetMultisamplefv :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glSampleMaski :: MonadIO m => GLuint -> GLbitfield -> m ()
- glTexImage2DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTexImage3DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()

# Extension Support

glGetARBTextureMultisample :: MonadIO m => m Bool

Is the ARB_texture_multisample extension supported?

gl_ARB_texture_multisample :: Bool

Is the ARB_texture_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureMultisample` in those cases instead.

# Enums

gl_INT_SAMPLER_2D_MULTISAMPLE :: GLenum

gl_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum

gl_MAX_COLOR_TEXTURE_SAMPLES :: GLenum

gl_MAX_DEPTH_TEXTURE_SAMPLES :: GLenum

gl_MAX_INTEGER_SAMPLES :: GLenum

gl_MAX_SAMPLE_MASK_WORDS :: GLenum

gl_PROXY_TEXTURE_2D_MULTISAMPLE :: GLenum

gl_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum

gl_SAMPLER_2D_MULTISAMPLE :: GLenum

gl_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum

gl_SAMPLE_MASK :: GLenum

gl_SAMPLE_MASK_VALUE :: GLenum

gl_SAMPLE_POSITION :: GLenum

gl_TEXTURE_2D_MULTISAMPLE :: GLenum

gl_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum

gl_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum

gl_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum

gl_TEXTURE_FIXED_SAMPLE_LOCATIONS :: GLenum

gl_TEXTURE_SAMPLES :: GLenum

gl_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE :: GLenum

gl_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum

# Functions

glGetMultisamplefv

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLuint | `index`.
-> Ptr GLfloat | `val` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSampleMaski

Arguments

:: MonadIO m |
=> GLuint | `maskNumber`.
-> GLbitfield | `mask`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexImage2DMultisample

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexImage3DMultisample

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.